Name:           cal3d
Version:        0.11.0
Release:        10%{?dist}
Summary:        Skeletal based 3-D character animation library

License:        LGPLv2+
URL:            http://gna.org/projects/cal3d
Source0:        http://download.gna.org/%{name}/sources/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.11.0-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen libtool

%if 0%{?suse_version}
Group:          System/Libraries
BuildRequires:  docbook-toys gcc-c++
%else
Group:          Development/Libraries
BuildRequires:  docbook-utils
%endif

%description
Cal3D is a skeletal based 3-D character animation library written in C++
in a platform-/graphic API-independent way.

%package devel
Summary:        Header files, libraries and development documentation for Cal3D
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains the header files, libraries and documentation
for Cal3D.

%package doc
Summary:        Documentation files for Cal3D
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains modeling documentation and a users guide for Cal3D.


%prep
%setup -q
%patch0 -p0 -b .gcc43


%build
LIBTOOL=libtool %configure
make LIBTOOL=libtool %{?_smp_mflags}
( cd docs && make doc-guide && make doc-api )


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archives and static libraries
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a


%check
# https://gna.org/bugs/index.php?8416
#make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/cal3d_converter
%{_mandir}/man1/cal3d_converter.1.gz
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/api/html/*
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so

%files doc
%defattr(-,root,root,-)
%doc docs/guide
# upstream forgot this for 0.11.0: docs/modeling


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.11.0-7
- Rebuild to have rpm add pkgconf(cal3d).

* Thu Feb 21 2008 Christopher Stone <chris.stone@gmail.com> 0.11.0-6
- Add gcc4.3 patch
- Update %%license

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11.0-5
- Autorebuild for GCC 4.3

* Wed Jan 31 2007 Christopher Stone <chris.stone@gmail.com> 0.11.0-4
- Fix stupid type-o

* Wed Jan 31 2007 Christopher Stone <chris.stone@gmail.com> 0.11.0-3
- Disable make check (https://gna.org/bugs/index.php?8416)
- Remove system call macros
- Use $RPM_BUILD_ROOT instead of %%{buildroot}
- Some whitespace cleanup
- Use rm instead of %%exclude on static libs and libtool archives

* Thu Aug 31 2006 Christopher Stone <chris.stone@gmail.com> 0.11.0-2
- FC6 Rebuild

* Sat Jul 08 2006 Christohper Stone <chris.stone@gmail.com> 0.11.0-1.fc6.1
- Rebuild release bump

* Thu Jul 08 2006 Christohper Stone <chris.stone@gmail.com> 0.11.0-1
- Update Source0 URL
- Remove autoconf patch
- Add cal3d_converter to %%files
- Make compatible with suse
- Temporarily comment out docs/modeling (upstream oversight)
- Add libtool and %%exclude .a file to work around rpath error

* Tue Jun 13 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-4
- Add libtool to BuildRequires

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-3
- Update URL
- Shortened summary description
- Removed %%{name} from devel/doc description and summary
- Add pkgconfig to Requires for devel
- Remove %%makeinstall
- Add %%check section

* Sun May 21 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-2
- Move some devel documentation into doc package

* Sat May 20 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-1
- Initial RPM release
